IF NOT EXISTS(SELECT * FROM sys.types WHERE is_table_type = 1 AND is_user_defined=1 AND name = 'RecurringPatternAvailableWaresTable')
BEGIN
	CREATE TYPE [dbo].[RecurringPatternAvailableWaresTable] AS TABLE
	(
		WareNumber int NOT NULL,
		StartDateTime datetime NOT NULL,
		EndDateTime datetime NOT NULL,
		ExcludeArrangementLineNumber int NULL
	)
	--PRINT 'Created type [RecurringPatternAvailableWaresTable]'
END
